For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETSearch entities
      • POSTCreate entity
      • GETGet entity
      • POSTUpdate entity
      • DELDelete entity
      • POSTAccept Terms of Service
      • POSTInitiate KYB
      • POSTGenerate JWT Token
      • GETGenerate Onboarding Link
      • POSTSend Onboarding Email
      • GETEvents
        • GETFind payee counterparties
        • GETFind payor counterparties
        • POSTLink Payees
        • POSTHide Payee
        • POSTLink Payors
        • POSTHide Payors
Logo
Sign inBook a demo
API ReferenceEntityCounterparty

Hide Payors

POST
https://api.mercoa.com/entity/:entityId/hidePayors
POST
/entity/:entityId/hidePayors
$curl -X POST https://api.mercoa.com/entity/ent_8545a84e-a45f-41bf-bdf1-33b42a55812c/hidePayors \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "payors": [
> "ent_21661ac1-a2a8-4465-a6c0-64474ba8181d"
> ]
>}'
Marks Payors as unsearchable by Entity via Counterparty search. Invoices associated with these Payors will still be searchable via Invoice search.
Was this page helpful?
Previous

Download Bulk Payees

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

entityIdstringRequired
Entity ID or Entity ForeignID

Request

This endpoint expects an object.
payorslist of stringsRequired
List of payor entity IDs or foreign IDs to hide

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented